# sound.c File Reference

## Data Structures
struct | fileInfo
## Functions
static int | Mp3me_load (lua_State *L)
static int | Mp3me_play (lua_State *L)
static int | Mp3me_Stop (lua_State *L)
static int | Mp3me_EndOfStream (lua_State *L)
static int | Mp3me_getTime (lua_State *L)
static int | Mp3me_percent (lua_State *L)
static int | Mp3me_pause (lua_State *L)
static int | Mp3me_songtime (lua_State *L)
static int | Mp3me_artist (lua_State *L)
static int | Mp3me_title (lua_State *L)
static int | Mp3me_album (lua_State *L)
static int | Mp3me_genre (lua_State *L)
static int | Mp3me_year (lua_State *L)
static int | Mp3me_trackNumber (lua_State *L)
static int | Mp3me_layer (lua_State *L)
static int | Mp3me_kbit (lua_State *L)
static int | Mp3me_mode (lua_State *L)
static int | Mp3me_setVolume (lua_State *L)
static int | Mp3me_setRLVolume (lua_State *L)
static int | Mp3me_rawtime (lua_State *L)
static int | Mp3me_rawsongtime (lua_State *L)
static int | Mp3me_visL (lua_State *L)
static int | Mp3me_visR (lua_State *L)
static int | Mp3me_cart (lua_State *L)
static int | Mp3me_setpos (lua_State *L)
static int | Mp3me_getpos (lua_State *L)
static int | Mp3me_info (lua_State *L)
static int | Mp3me_loop (lua_State *L)
| UserdataStubs (Sound, OSL_SOUND *)
static int | Sound_play (lua_State *L)
static int | Sound_stop (lua_State *L)
static int | Sound_pause (lua_State *L)
static int | Sound_vol (lua_State *L)
static int | Sound_gc (lua_State *L)
static int | Sound_loop (lua_State *L)
| UserdataRegister (Sound, Sound_methods, Sound_meta)
## Variables
static int | mp3meplaying = 0
static int | mp3meload = 0
static struct fileInfo | tagInfo
static const luaL_reg | Mp3me_functions []
static const luaL_reg | Sound_methods []
static const luaL_reg | Sound_meta []

## Function Documentation

static int Mp3me_album | ( | lua_State * | L | ) | `[static]`

static int Mp3me_artist | ( | lua_State * | L | ) | `[static]`

static int Mp3me_cart | ( | lua_State * | L | ) | `[static]`

static int Mp3me_EndOfStream | ( | lua_State * | L | ) | `[static]`

static int Mp3me_genre | ( | lua_State * | L | ) | `[static]`

static int Mp3me_getpos | ( | lua_State * | L | ) | `[static]`

static int Mp3me_getTime | ( | lua_State * | L | ) | `[static]`

static int Mp3me_info | ( | lua_State * | L | ) | `[static]`

static int Mp3me_kbit | ( | lua_State * | L | ) | `[static]`

static int Mp3me_layer | ( | lua_State * | L | ) | `[static]`

static int Mp3me_load | ( | lua_State * | L | ) | `[static]`

static int Mp3me_loop | ( | lua_State * | L | ) | `[static]`

static int Mp3me_mode | ( | lua_State * | L | ) | `[static]`

static int Mp3me_pause | ( | lua_State * | L | ) | `[static]`

static int Mp3me_percent | ( | lua_State * | L | ) | `[static]`

static int Mp3me_play | ( | lua_State * | L | ) | `[static]`

static int Mp3me_rawsongtime | ( | lua_State * | L | ) | `[static]`

static int Mp3me_rawtime | ( | lua_State * | L | ) | `[static]`

static int Mp3me_setpos | ( | lua_State * | L | ) | `[static]`

static int Mp3me_setRLVolume | ( | lua_State * | L | ) | `[static]`

static int Mp3me_setVolume | ( | lua_State * | L | ) | `[static]`

static int Mp3me_songtime | ( | lua_State * | L | ) | `[static]`

static int Mp3me_Stop | ( | lua_State * | L | ) | `[static]`

static int Mp3me_title | ( | lua_State * | L | ) | `[static]`

static int Mp3me_trackNumber | ( | lua_State * | L | ) | `[static]`

static int Mp3me_visL | ( | lua_State * | L | ) | `[static]`

static int Mp3me_visR | ( | lua_State * | L | ) | `[static]`

static int Mp3me_year | ( | lua_State * | L | ) | `[static]`

static int Sound_gc | ( | lua_State * | L | ) | `[static]`

static int Sound_loop | ( | lua_State * | L | ) | `[static]`

static int Sound_pause | ( | lua_State * | L | ) | `[static]`

static int Sound_play | ( | lua_State * | L | ) | `[static]`

static int Sound_stop | ( | lua_State * | L | ) | `[static]`

static int Sound_vol | ( | lua_State * | L | ) | `[static]`

UserdataRegister | ( | Sound | ,
|  | Sound_methods | ,
|  | Sound_meta |  |
| ) |  |  |

UserdataStubs | ( | Sound | ,
|  | OSL_SOUND * |  |
| ) |  |  |

## Variable Documentation

const luaL_reg Mp3me_functions[]`[static]`

int mp3meload = 0`[static]`

int mp3meplaying = 0`[static]`

const luaL_reg Sound_meta[]`[static]`

Initial value:

     {
      {"__gc",       Sound_gc},
      {0, 0}
    }

const luaL_reg Sound_methods[]`[static]`

Initial value:

     {
      {"load",          Sound_load},
      {"play",                      Sound_play},
      {"pause",                     Sound_pause},
      {"stop",                      Sound_stop},
      {"volume",                    Sound_vol},
      {"loop",                      Sound_loop},
      {0, 0}
    }

struct fileInfo tagInfo`[static]`